Developer Suite
Register Sandbox
Register Sandbox
  1. Credentials on File
  • Overview
  • API Endpoints
  • Ecommerce Checkout
    • Purchase
      POST
    • Get a transaction details
      POST
    • Close transaction
      POST
    • Check transaction
      POST
    • Refund API
      POST
    • Get transaction list
      POST
    • Exchange rate
      POST
  • Plugins
    • Shopify
    • Prestashop
    • Woocommerce
  • Credentials on File
    • Unschedule Payment
    • Schedule Payment
    • Link Account
      POST
    • Link Card
      POST
    • Payment
      POST
    • Renew Token
      POST
    • Get token details
      POST
    • Remove token
      POST
    • Subscription
      POST
  • ABA QR API
    • QR API
      POST
  • Payment Link
    • Create payment link
      POST
    • Get payment link details
      POST
  • Pre-auth
    • Complete pre-auth transactions
    • Complete pre-auh transaction with payout
    • Cancel pre-purchase transaction
  • Payout
    • Payout
    • Update a beneficiary status
    • Add a beneficiary to whitelist
  • KHQR Guideline
    • Get transactions
  • Resources
  1. Credentials on File

Link Card

POST
api/payment-credential/v3/cof/link-card
The API returns HTML, allowing users to enter their credit/debit card details (Visa, Mastercard, JCB, and UPI) to link their card to your platform. Once the user has completed the linking process, PayWay will send the account details and token to the merchant via the callback_url.
Link Card.png
Link Card Flow
Refer to the step-by-step integration guide here for detailed instructions.

Request

Header Params

Body Params multipart/form-data

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://checkout-sandbox.payway.com.kh/api/payment-credential/v3/cof/link-card' \
--form 'request_id=""' \
--form 'request_time=""' \
--form 'merchant_id=""' \
--form 'ctid=""' \
--form 'token_flag=""' \
--form 'currency=""' \
--form 'callback_url=""' \
--form 'continue_success_url=""' \
--form 'hash=""'

Responses

🟢200OK
text/html
Regardless of whether the request is successful or results in an error, PayWay will respond with an HTML page. This page can be rendered in an iFrame and displayed to the user. If there is an error, the user will see a clear error message. If the transaction is successful, the page will display a saved card screen, allowing customers to securely enter their card details directly on the PayWay-hosted screen.
Previous
Link Account
Next
Payment